local Critoverkill2, Settings = ...

function round(num, idp)
	if idp and idp>0 then
		local mult = 10^idp
		return math.floor(num * mult + 0.5) / mult
	end
	return math.floor(num + 0.5)
end

function splatter(fact)
	PlaySoundFile("Interface\\AddOns\\CritOverkill\\SFX\\Splat.ogg", "Master")
	--print(fact) --uncomment this to see your "overkill rating"
	for i = 1, 100 do
		Settings.Drip[i]:Hide()
	end
	if fact > Settings.maxblood then fact = Settings.maxblood end
	for i = 1, fact do
		Settings.Slide[i] = math.random(40,110)
		Settings.Drip[i]:Hide()
		backdrop = {
			bgFile="Interface\\AddOns\\CritOverkill\\Images\\BloodDrop"..math.random(5)..".tga",
			edgeFile="",
			tile = false,
			edgesize=0,
		}
		Settings.Drip[i]=CreateFrame("Frame", "Bloodspot"..i)
		Settings.Drip[i]:SetBackdrop(backdrop)
		Settings.Drip[i]:SetAlpha(1)
		Settings.Drip[i]:Show()
		Settings.Xpos[i] = math.random(-400,400)*(fact/20)
		Settings.Ypos[i] = math.random(-200,400)
		scale = Settings.sizes[math.random(Settings.mbs)]
		Settings.Drip[i]:SetWidth(scale)
		Settings.Drip[i]:SetHeight(scale)
		Settings.Drip[i]:SetPoint("CENTER",UIParent, "CENTER", Settings.Xpos[i] ,Settings.Ypos[i])
		Settings.Seconds = 0
	end
end
