local Critoverkill2, Settings = ...

Settings.Drip = CreateFrame("Frame", "Bloodspot")
Settings.time = 0
Settings.Seconds = 0
--Settings.sizes = {64,128,256,512,1024,2048}
Settings.sizes = {50,100,150,200,250,300,350,400,450,500}
Settings.maxblood = 30
Settings.mbs = 5
Settings.Alpha = 0
Settings.Xpos = {}
Settings.Ypos = {}
Settings.Fadeout = 150
Settings.Slide = {}
Settings.Maxopacity = 0.75
Settings.config = false
Settings.Testbloodfactor = 5

for i = 1, 100 do
	Settings.Drip[i]=CreateFrame("Frame", "Bloodspot"..i)
	Settings.Alpha = 0
	Settings.Xpos[i] = 0
	Settings.Ypos[i] = 0
	Settings.Slide[i] = 0
end

Settings.optionsbackdrop = {
  bgFile = "Interface\\DialogFrame\\UI-DialogBox-Gold-Background",  
  edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Gold-Border",
  tile = true,
  tileSize = 32,
  edgeSize = 32,
  insets = {
    left = 11,
    right = 12,
    top = 12,
    bottom = 11
  }
}

-- Creation of the Bloodsplatter options window
CreateFrame("frame", "COOptions", UIParent) -- Create frame with template
COOptions:SetSize(200,350) -- Make the frame a size
COOptions:SetPoint("LEFT", UIParent,"LEFT",400,100) -- Anchor it onto the game window
COOptions:SetBackdrop(Settings.optionsbackdrop)

-- Set a visible title for the frame
COOptions:CreateFontString("COTitle", "OVERLAY") -- Create a fontstring
COTitle:SetFontObject("GameFontHighlight") -- Set a font object?? sure why not?
COTitle:SetPoint("TOP",COOptions,"TOP", 0, -12) -- anchor it to the left at point definded in the "BasicFrameTemplateWithInset" template
COTitle:SetText("CritOverkill Options") -- Title text dummy? duh
COOptions:Hide() -- Hide on start

CreateFrame("Slider","COOMA",COOptions,"OptionsSliderTemplate")
COOMA:SetPoint("TOP",0,-50)
COOMA:SetSize(132,17)
COOMA:SetOrientation("HORIZONTAL")
COOMA:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
COOMA:SetMinMaxValues(0,1)
COOMA:SetValue(Settings.Maxopacity)
COOMA:SetValueStep(.01)
getglobal(COOMA:GetName() .. 'Low'):SetText('0%')
getglobal(COOMA:GetName() .. 'High'):SetText('100%')
getglobal(COOMA:GetName() .. 'Text'):SetText('Visibility '.. Settings.Maxopacity*100 .."%")
COOMA:SetScript("OnValueChanged", function(self, value)
		Settings.Maxopacity = round(value,2)
		getglobal(COOMA:GetName() .. 'Text'):SetText('Visibility '.. Settings.Maxopacity*100 .."%")
end)

CreateFrame("Slider","COOMBS",COOptions,"OptionsSliderTemplate")
COOMBS:SetPoint("TOP",0,-100)
COOMBS:SetSize(132,17)
COOMBS:SetOrientation("HORIZONTAL")
COOMBS:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
COOMBS:SetMinMaxValues(1,10)
COOMBS:SetValue(Settings.mbs)
COOMBS:SetValueStep(1)
getglobal(COOMBS:GetName() .. 'Low'):SetText('1')
getglobal(COOMBS:GetName() .. 'High'):SetText('10')
getglobal(COOMBS:GetName() .. 'Text'):SetText('Max Blood Size '.. Settings.mbs)
COOMBS:SetScript("OnValueChanged", function(self, value)
		Settings.mbs = round(value,0)
		getglobal(COOMBS:GetName() .. 'Text'):SetText('Max Blood Size '.. Settings.mbs)
end)

CreateFrame("Slider","COOMBC",COOptions,"OptionsSliderTemplate")
COOMBC:SetPoint("TOP",0,-150)
COOMBC:SetSize(132,17)
COOMBC:SetOrientation("HORIZONTAL")
COOMBC:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
COOMBC:SetMinMaxValues(1,100)
COOMBC:SetValue(Settings.Testbloodfactor)
COOMBC:SetValueStep(1)
getglobal(COOMBC:GetName() .. 'Low'):SetText('1')
getglobal(COOMBC:GetName() .. 'High'):SetText('100')
getglobal(COOMBC:GetName() .. 'Text'):SetText('Test Blood Factor '.. Settings.Testbloodfactor)
COOMBC:SetScript("OnValueChanged", function(self, value)
		Settings.Testbloodfactor = round(value,0)
		getglobal(COOMBC:GetName() .. 'Text'):SetText('Test Blood Factor '.. Settings.Testbloodfactor)
end)


-- Test Button
CreateFrame("Button", "COTest", COOptions, "GameMenuButtonTemplate")
COTest:SetPoint("BOTTOM", COOptions, "BOTTOM",0 ,40)
COTest:SetSize(140,20)
COTest:SetText("Test")
COTest:SetScript("OnClick", function()
	splatter(Settings.Testbloodfactor)
end)
-- Close Button
CreateFrame("Button", "COCloseButton", COOptions, "GameMenuButtonTemplate")
COCloseButton:SetPoint("BOTTOM", COOptions, "BOTTOM",0 ,20)
COCloseButton:SetSize(140,20)
COCloseButton:SetText("Close")
COCloseButton:SetScript("OnClick", function()
	COOptions:Hide()
	Settings.config = false
end)



